commit: 8f7c12a31cfaaef80f4ef0fad61c647174dbc373
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 3 20:03:07 2018 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Jul 3 21:54:35 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f7c12a3
dev-python/python-engineio: version bump to 2.2.0
Package-Manager: Portage-2.3.41, Repoman-2.3.9
dev-python/python-engineio/Manifest | 1 +
.../python-engineio/python-engineio-2.2.0.ebuild | 27 ++++++++++++++++++++++
2 files changed, 28 insertions(+)
diff --git a/dev-python/python-engineio/Manifest
b/dev-python/python-engineio/Manifest
index a01156b899d..ccda5b50090 100644
--- a/dev-python/python-engineio/Manifest
+++ b/dev-python/python-engineio/Manifest
@@ -1 +1,2 @@
DIST python-engineio-1.7.0.tar.gz 22804 BLAKE2B
bc807943cc24eddbc9cb25ceb55223ecf610ed37b281e5b0a59935705dc2d2c34ad5795e0bd96f1256cf91365756e43ed9c94b1082334d6f6c34f6b6e9472710
SHA512
1d184ccb9d1328d9f4e2fa22006f1d21bd17200bc893ee2588b4342da24775f98648e0e993893eb56a9159f95a114f128dfdacef9fa8ea296c7ace6c7741aea0
+DIST python-engineio-2.2.0.tar.gz 22137 BLAKE2B
5e864a4cb2bc5048f459f98e24894bf263caedaf58ce3225dbb216fc5f4722efbaf7f346c39869daf485debff1479db254add66f6f256066ed26a11a8be196b3
SHA512
8e601c583bea21b37fc673bf92e3b40d6f3ded7068e7b103111b60d6677195e67338398934a270dacc8621b040e52d32eb9652e15607c7be69b6c50a8d19eaf2
diff --git a/dev-python/python-engineio/python-engineio-2.2.0.ebuild
b/dev-python/python-engineio/python-engineio-2.2.0.ebuild
new file mode 100644
index 00000000000..780c7de65f7
--- /dev/null
+++ b/dev-python/python-engineio/python-engineio-2.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN=""
+DESCRIPTION="Python implementation of the Engine.IO realtime server."
+HOMEPAGE="https://python-engineio.readthedocs.org/
https://github.com/miguelgrinberg/python-engineio/
https://pypi.org/project/python-engineio/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# pypi tarball does not contain tests
+RESTRICT="test"
+
+python_test() {
+ esetup.py test || die "Tests failed under ${EPYTHON}"
+}